<?php


namespace PB\WithdrawalQueue\Repository;


use PB\WithdrawalQueue\Addon;

class Currency extends \XF\Mvc\Entity\Repository
{
	/**
	 * @return array ['addon_id' => ['title' => 'str', 'handler_class' => 'str']]
	 */
	public function getSupportedCurrencyAddons(): array
	{
		return [
			'DBTech/Credits' => [
				'title' => '[DBTech] DragonByte Credits',
				'handler_class' => Addon::shortName('DBTechCredits')
			],
			'MJ/Credits' => [
				'title' => '[BR] Credits',
				'handler_class' => Addon::shortName('MJCredits')
			]
		];
	}
}