<?php

namespace PB\WithdrawalQueue\Repository;

use PB\WithdrawalQueue\Addon;

class RequisiteField extends \XF\Repository\AbstractField
{
	protected function getRegistryKey()
	{
		return 'pbWqRequisiteFields';
	}

	protected function getClassIdentifier()
	{
		return Addon::shortName('RequisiteField');
	}

	public function getDisplayGroups()
	{
		return ['below_withdraw' => Addon::phrase('withdraw')];
	}
}