<?php

namespace PB\WithdrawalQueue\WalletType;

use PB\WithdrawalQueue\Addon;

class Bitcoin extends AbstractHandler
{
	public function getInputTemplateName(): string
	{
		return 'pb_wq_requisite_wallet_input_template_text';
	}

	public function validate($wallet, &$error = null): bool
	{
		$addressValidator = new \Kielabokkie\Bitcoin\AddressValidator;
		if (!$addressValidator->isValid($wallet))
		{
			$error = Addon::phrase('please_enter_valid_bitcoin_address');
			return false;
		}

		return true;
	}
}
