<?php

namespace PB\WithdrawalQueue\XF\Entity;

class User extends XFCP_User
{
	public function canViewWithdraws(&$error = null)
	{
		return $this->hasPermission('pb_wq', 'view');
	}

	public function canCreateWithdraws(&$error = null)
	{
		return $this->hasPermission('pb_wq', 'createWithdraw');
	}

	public function canModerateWithdraws(&$error = null)
	{
		return $this->hasPermission('pb_wq', 'moderateWithdraw');
	}
}