<?php


namespace PB\WithdrawalQueue\Finder;


use XF\Entity\User;
use XF\Mvc\Entity\Finder;

class Withdraw extends Finder
{
	public function byUser($userId)
	{
		if ($userId instanceof User)
		{
			$userId = $userId->user_id;
		}

		$this->where('user_id', '=', $userId);
		return $this;
	}

	public function onlyPending()
	{
		$this->where('withdraw_state', '=', 'pending');
		return $this;
	}
}